Packages - Feature Request #3510

Freedom Issue # 1035 (in progress): [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM)
why is python-pip no longer available?

2023-07-22 04:27 AM - DragOnFly

Status: open % Done: 0%
Priority: bug

Assignee:

Category:

Description

This is in reference to #3443 as there isn't an option to leave a comment on the existing ticket.-

It is mentioned that "python-pip" is now blacklisted. What is the cause for this, | am finding no items under news which explain the
change.

This breaks a number of PKGBUILDs which all depend on doing "pip install".

For these kinds of changes, please publish a news item

History

#1 - 2023-07-23 04:36 AM - bill-auger
- Parent task set to #1035
- Subject changed from python-pip no longer available (blacklisted?) to why is python-pip no longer available?

- Tracker changed from Packaging Request to Feature Request

can you reply to this ticket DragOnFly ? - if not, maybe you are blocking javascripts?

make sure you are signed-in, and look for the "Reply" link in the set: [ Reply Watch ], at the top and bottom of each ticket page

pip is part of a grand plan which has been discussed at length over the years on this bug tracker and the FSDG mailing list - all TPPMs will need to

go or be treated soon - something like this could have and should have happened years ago (note the age of #1035) - #1035 would be the
appropriate ticket to discuss the "why" questions - the answers to most "why" questions are already written on that ticket

can you reply to #1035 ? - if not, maybe this should be a "bug report" instead of "feature request"

from the FSDG:
Nor should the distribution refer to third-party repositories that are not committed to only including free software; even if they only have free
software today, that may not be true tomorrow. Programs in the system should not suggest installing nonfree

consider pip as an experiment, to determine how much damage or complaints would result from applying the simplest FSDG-fit solution

#3443 is tracking which applications are affected by pip's absence - if you know of any, plz add them to #3443

this wiki article tracks the current progress and current proposals:
https://wiki.parabola.nu/TPPM_Liberation_Project

there are several possible solutions for each TPPM, some more effective than others, some more feasible than others - none are decided to be a
permanent solution; but the option to "keep each in its current form" on the proposals table will expire someday, and possibly soon, for all but those
with "Policy" 'libre' in the table)

#2 - 2023-07-23 11:14 PM - DragOnFly

Replying works fine now - previously the option was not shown although | was logged-in and refreshed the page. (did not change any adblock
settings, | use uBlock Origin btw.)

Sorry for getting back a little late. The package | had issues with is as mentioned something | build/package myself from AUR called "sacad". (Should
affect other packages as well, as | only have a very limited amount of AUR packages installed.)

#3 - 2023-07-23 11:17 PM - DragOnFly

That package might be a bad example though, as | also can't get it to manually compile.
#4 - 2023-07-24 11:17 PM - bill-auger

it is a bad example, because it is not a parabola package - the packages a being collected so we can try to get them to build without pip

#3443 is tracking which applications are affected by pip's absence - if you know of any, plz add them to #3443

also, i asked to add it to #3443, not this one - one ticket per issue - this one was two issues already, "why no pip" and "why cant i add comments" - i
changed the topic of this one to "why is python-pip no longer available?" - i would have wanted another ticket for "why cant i add comments"; but i
found out why and fixed it - one of the permissions settings was wrong

#5 - 2023-07-29 02:00 AM - Time4Tea

| totally understand the reasoning behind removing pip, but | agree with DragOnFly that it would be good to see a short news post to clarify the
situation: why it's no longer available with Parabola and what people should do instead.

#6 - 2023-07-29 02:16 AM - bill-auger

the reason there has been no announcement, is because nothing has been decided
yet - there really is nothing conclusive to announce - pip is not special - it

is one of many TPPMs which all need the same treatment - pip only happens to be
among those chosen for the initial experiment - it was chosen only because it

is one of the most popular, and so likely to elicit reactions from the

community such as this one - but to be rational about this, they all must be

treated the same at the same time

so far, the response has been underwhelming - it does not look like many people
want pip in the repos - as the most popular TPPM, it may be safe to assume that
people dont care about any of them; so maybe it is time to continue the
experiment and eject the others

in other words, before making any definitive statement about pip, i would first

want to treat all other TPPMs accordingly, and then the announcement would apply
to all of them with the same rationale - otherwise, this suggestion would

require dozens of similar announcements; and there would repeatedly be questions
that i do not want to answer, like: "why did you do this to my favorite TPPM

but not the others?"

presumably most people will care about only one of them; but i do not want to
single out any for special treatment; because really, no distro needs any of them,
and distro users should not want to use them - even if some distro users want these
things, it still makes no sense for any distro to distribute them

#7 - 2023-07-31 03:44 AM - DragOnFly

| agree with having these packages available system-wide. However, there are Python packages missing in Parabola which makes installing these via
pip the only option.

The most recent version of pip now also prevents doing this directly — unless overridden — with:
[l—> To install Python packages system-wide, try 'pacman -S
python-xyz', where xyz is the package you are trying to

install.

bill-auger: is there a list of missing Python packages which is tracked somewhere? Currently "python-bitarray" is not available for some reason; I'm
sure there are others.

#8 - 2023-07-31 04:33 AM - bill-auger
there is no "most recent version of pip" - it is no longer available in parabola - are you referring to the arch package?

i dont believe that any packages are missing - there is no "python-bitarray" package in arch; so it is not "missing" from parabola - we have
'haskell-bitarray' though

if there are any desirable python packages which are not available in parabola, they can be requested - if a working PKGBUILD accompanies the
packaging request, that would make it all the more easier to adopt

#9 - 2023-07-31 04:53 AM - DragOnFly
| am aware that it was removed as a package, that was the subject of this ticket. ;)
The message pointing to pacman for system-wide installs is something | haven't noticed until | upgraded pip (via itself) to 23.2.1.

Not sure what you mean by "not missing". It is referred to in the PKGBUILD, and available as a Python package (just apparently not in the
Parabola/Arch repos).
==> Missing dependencies:
-> python-bitarray
-> python-cssselect
—> python-mutagen
-> python-pillow
-> python-tgdm
—> python-unidecode
==> Checking buildtime dependencies...
==> ERROR: Could not resolve all dependencies.

Executed in 777.86 millis fish external
usr time 596.52 millis 696.00 micros 595.83 millis
sys time 259.06 millis 74.00 micros 258.99 millis

~/a/sacad (masterl) [8]> sudo pacman -S python-bitarray
error: target not found: python-bitarray

If pip is no longer an option, and no "official" package exists in Arch - what is the proposed solution?

#10 - 2023-07-31 05:08 AM - bill-auger

ok that is different - if some PKGBUILD published by parabola refers to a package that is not in the parabola repos, then it is indeed missing, or the
PKGBUILD is incorrect - that would deserve its own bug report

if the PKGBUILD is not published by parabola, that would need a packaging request for both packages
#11 - 2023-07-31 05:23 AM - DragOnFly
I've created a new ticket for python-bitarray; #3513

Would be good to also have "sacad" (https:/github.com/desbma/sacad/) which made me aware of this situation, although it should package with the
added Python deps.
